# Interface methods for submodule: LabelMapMaskImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import LabelMapFilterProxy as _LabelMapFilterProxy


# Interface methods for class: LabelMapMaskImageFilter
class LabelMapMaskImageFilterProxy(_LabelMapFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetFeatureImage(self, input) -> None:
		""""""
		...

	def GetFeatureImage(self):
		""""""
		...

	def SetInput1(self, input) -> None:
		""""""
		...

	def SetInput2(self, input) -> None:
		""""""
		...

	@overload
	def SetBackgroundValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetBackgroundValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetBackgroundValue(self) -> float:
		""""""
		...

	@overload
	def GetBackgroundValue(self) -> int:
		""""""
		...

	def SetLabel(self, _arg: int) -> None:
		""""""
		...

	def GetLabel(self) -> int:
		""""""
		...

	def SetNegated(self, _arg: bool) -> None:
		""""""
		...

	def GetNegated(self) -> bool:
		""""""
		...

	def NegatedOn(self) -> None:
		""""""
		...

	def NegatedOff(self) -> None:
		""""""
		...

	def SetCrop(self, _arg: bool) -> None:
		""""""
		...

	def GetCrop(self) -> bool:
		""""""
		...

	def CropOn(self) -> None:
		""""""
		...

	def CropOff(self) -> None:
		""""""
		...

	def SetCropBorder(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetCropBorder(self) -> Sequence[int]:
		""""""
		...

